Subject: Re: [bug#38746] [PATCH] gnu: emacs-shroud: Update to 1.105.

From: "Amar M. Singh" <[email-masked]>
Date: Thu, 26 Dec 2019 03:58:19 +0000

Hi Brett,

I am using autoconf macro 'dist_lisp_LISP' in src/Makefile.am which will install '.el' files. Autotools are automatically detecting and installing '.elc' files from 'lisp_LISP' variable.

-------- Original Message --------
From: Brett Gilio <[email-masked]>
Sent: December 26, 2019 3:51:15 AM UTC
To: "Amar M. Singh" <[email-masked]>
Cc: [email-masked]
Subject: Re: [bug#38746] [PATCH] gnu: emacs-shroud: Update to 1.105.

Dec 25, 2019 9:42:15 PM Amar M. Singh :

>
> New in this release:
> 1. Now uses Gnu build system, aka Autotools.
> 2. Comes with Texinfo documentation.
>

Hi Amar,

I am looking at this on my phone, so I might be wrong but it looks like the change to the gnu-build-system is not accompanied by any arguments installing any byte-compiled elc files to the emacs site-lisp. Did you test this change? Are the elc files getting installed? If so, how? Normally we have to work around this issue with mixing gnu and Emacs build system phases. Also, things like autoconf and automake are implicit in the gnu build system and are not needed.

Regards,
Amar Singh <[email-masked]>
https://o-nly.github.io

-------------------------------------------------------------
Sent from my Android device with Librem Mail. Please excuse my brevity.